petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatSeqAIJRestoreArray

returns access to the array where the data for a MATSEQAIJ matrix is stored obtained by MatSeqAIJGetArray()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqAIJRestoreArray(Mat A,PetscScalar **array)

Not Collective

### Input Parameters

| mat | - a MATSEQAIJ matrix
| array | - pointer to the data

### See Also

MatSeqAIJGetArray(), MatSeqAIJRestoreArrayF90()

### Level

intermediate

### Location

src/mat/impls/aij/seq/aij.c

### Implementations

MatSeqAIJRestoreArray_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatSeqAIJRestoreArray_SeqAIJViennaCL in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages